List

  • GET
  • /workspaces
  • /:workspace
  • /integrations

Get all integrations in the workspace

Request

REQUIRED SCOPES
INTEGRATION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
integrationsIntegrationView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/integrations" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/user/integrations", "html_url": "https://app.buddy.works/toprus/-/workspace/integrations", "integrations": [ { "url": "https://api.buddy.works/user/integrations/R7ZGebEDoa07Zr8yWldgVjL4pv", "html_url": "https://app.buddy.works/toprus/-/workspace/integrations/R7ZGebEDoa07Zr8yWldgVjL4pv", "identifier": "github", "hash_id": "R7ZGebEDoa07Zr8yWldgVjL4pv", "name": "GitHub", "type": "GIT_HUB", "auth_type": "APP_RW", "scope": "WORKSPACE", "permissions": { "others": "USE_ONLY", "users": [ { "id": 1, "access_level": "MANAGE" } ], "admins": "MANAGE" }, "all_pipelines_allowed": true, "allowed_pipelines": [] }, { "url": "https://api.buddy.works/user/integrations/NLVaDzgp6W2qJljaQlJOoYdmZ3", "html_url": "https://app.buddy.works/toprus/-/workspace/integrations/NLVaDzgp6W2qJljaQlJOoYdmZ3", "identifier": "amazon-web-services", "hash_id": "NLVaDzgp6W2qJljaQlJOoYdmZ3", "name": "Amazon Web Services", "type": "AMAZON", "auth_type": "DEFAULT", "scope": "PROJECT", "project_name": "asdf", "permissions": { "others": "USE_ONLY", "users": [ { "id": 1, "access_level": "MANAGE" } ], "admins": "MANAGE" }, "all_pipelines_allowed": true, "allowed_pipelines": [] } ] }
STATUS
200 OK